package com.srs.routine.mapper;

import java.util.List;

import com.srs.routine.domain.RtFuAudit;
import com.srs.routine.domain.RtFuResource;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.routine.domain.vo.RtFuResourceVo;

/**
 * 功能房图片Mapper接口
 *
 * @author srs
 * @date 2024-07-21
 */
public interface RtFuResourceMapper extends BaseMapper<RtFuResource> {
    /**
     * 查询功能房图片
     *
     * @param resId 功能房图片主键
     * @return 功能房图片
     */
    public RtFuResource selectRtFuResourceByResId(Long resId);

    public RtFuResource selectRtFuResourceByMainNo(String resMainNo);

    /**
     * 查询功能房图片列表
     *
     * @param rtFuResource 功能房图片
     * @return 功能房图片集合
     */
    List<RtFuResource> selectRtFuResourceList(RtFuResource rtFuResource);
    public RtFuResourceVo getRtFuresLIst(RtFuResource rtFuResource);
    List<RtFuResourceVo> selectRtFuResourceLists(RtFuResource rtFuResource);

    /**
     * 新增功能房图片
     *
     * @param rtFuResource 功能房图片
     * @return 结果
     */
    int insertRtFuResource(RtFuResource rtFuResource);


    int insertRes(RtFuResourceVo rtFuResourceVo);
    /**
     * 修改功能房图片
     *
     * @param rtFuResource 功能房图片
     * @return 结果
     */
    int updateRtFuResource(RtFuResource rtFuResource);


    public int deleteRtFuResourceByResManNo(String resMainNo);
    /**
     * 删除功能房图片
     *
     * @param resId 功能房图片主键
     * @return 结果
     */
    int deleteRtFuResourceByResId(Long resId);

    /**
     * 批量删除功能房图片
     *
     * @param resIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtFuResourceByResIds(Long[] resIds);

    void updateAudit(RtFuAudit audit);
}
